{include file='header' pageTitle='wcf.acp.didyouknow.list'}

<header class="boxHeadline">
	<h1>{lang}wcf.acp.didyouknow.list{/lang}</h1>
	
	<script data-relocate="true">
		//<![CDATA[
		$(function() {
			new WCF.Action.Delete('wcf\\data\\didyouknow\\DidYouKnowEntryAction', '.jsDidYouKnowRow');
			new WCF.Action.Toggle('wcf\\data\\didyouknow\\DidYouKnowEntryAction', $('.jsDidYouKnowRow'));
		});
		//]]>
	</script>
</header>

<div class="contentNavigation">
	{pages print=true assign=pagesLinks controller="DidYouKnowList" link="pageNo=%d&sortField=$sortField&sortOrder=$sortOrder"}
	
	<nav>
		<ul>

			{if $__wcf->getSession()->getPermission('admin.didYouKnow.canAddEntry')}<li><a href="{link controller='DidYouKnowEntryAdd'}{/link}" class="button"><span class="icon icon16 fa-plus"></span> <span>{lang}wcf.acp.didyouknow.add{/lang}</span></a></li>{/if}

			{event name='contentNavigationButtonsTop'}
		</ul>
	</nav>
</div>

{if $objects|count}
	<div class="tabularBox tabularBoxTitle marginTop">
		<header>
			<h2>{lang}wcf.acp.didyouknow.list{/lang} <span class="badge badgeInverse">{#$items}</span></h2>
		</header>
			
		<table class="table">
			<thead>
				<tr>
					<th class="columnID columnBBCodeID{if $sortField == 'dykID'} active {@$sortOrder}{/if}" colspan="2"><a href="{link controller='DidYouKnowList'}pageNo={@$pageNo}&sortField=dykID&sortOrder={if $sortField == 'dykID' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}wcf.global.objectID{/lang}</a></th>
					{if DIDYOUKNOW_VIEW_COUNTER}<th class="columnViews{if $sortField == 'views'} active {@$sortOrder}{/if}"><a href="{link controller='DidYouKnowList'}pageNo={@$pageNo}&sortField=views&sortOrder={if $sortField == 'views' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}wcf.acp.didyouknow.views{/lang}</a></th>{/if}
					<th class="columnText columnMessage{if $sortField == 'message'} active {@$sortOrder}{/if}"><a href="{link controller='DidYouKnowList'}pageNo={@$pageNo}&sortField=message&sortOrder={if $sortField == 'message' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}wcf.acp.didyouknow.message{/lang}</a></th>

					{event name='columnHeads'}
				</tr>
			</thead>

			<tbody>
				{foreach from=$objects item=entry}
					<tr class="jsDidYouKnowRow">
						<td class="columnIcon">
							<span class="icon icon16 fa-{if !$entry->isDisabled}check-{/if}square-o jsToggleButton jsTooltip pointer" title="{lang}wcf.global.button.{if $entry->isDisabled}enable{else}disable{/if}{/lang}" data-object-id="{@$entry->dykID}" data-disable-message="{lang}wcf.global.button.disable{/lang}" data-enable-message="{lang}wcf.global.button.enable{/lang}"></span>
							<a href="{link controller='DidYouKnowEntryEdit' id=$entry->dykID}{/link}" title="{lang}wcf.global.button.edit{/lang}" class="jsTooltip"><span class="icon icon16 fa-pencil"></span></a>
							<span class="icon icon16 fa-remove jsDeleteButton jsTooltip pointer" title="{lang}wcf.global.button.delete{/lang}" data-object-id="{@$entry->dykID}" data-confirm-message="{lang}wcf.acp.didyouknow.delete.sure{/lang}"></span>
							
							{event name='rowButtons'}
						</td>
						<td class="columnID"><p>{#$entry->dykID}</p></td>
						{if DIDYOUKNOW_VIEW_COUNTER}<td class="columnViews"><p>{#$entry->views}</p></td>{/if}
						<td class="columnDescription columnText jsTooltip" title=""><p>{@$entry->getShortenedMessage(500)}</p></td>
						
						{event name='columns'}
					</tr>
				{/foreach}
			</tbody>
		</table>
	</div>

	<div class="contentNavigation">
		{@$pagesLinks}
		
		<nav>
			<ul>
				{if $__wcf->session->getPermission('admin.didYouKnow.canAddEntry')}<li><a href="{link controller='DidYouKnowEntryAdd'}{/link}" class="button"><span class="icon icon16 icon-plus"></span> <span>{lang}wcf.acp.didyouknow.add{/lang}</span></a></li>{/if}

				{event name='contentNavigationButtonsTop'}
			</ul>
		</nav>
	</div>
{else}
	<p class="info">{lang}wcf.global.noItems{/lang}</p>
{/if}

{include file='footer'}