<?php
namespace wcf\system\cache\builder;
use wcf\data\didyouknow\DidYouKnowEntryList;
use wcf\data\package\PackageCache;
use wcf\system\WCF;

/**
 * Caches Did You Know entrys.
 * 
 * @author	Jonathan Frick <defense>
 * @copyright	2009-2012 WBB-World
 * @license	Creative Commons BY-SA 3.0 <http://creativecommons.org/licenses/by-sa/3.0/de/legalcode>
 * @package	de.wbb-world.wcf.didyouknow
 * @subpackage	system.cache.builder
 * @category 	Community Framework
 */
class DidYouKnowCacheBuilder extends AbstractCacheBuilder {
	/**
	 * @see	wcf\system\cache\builder\AbstractCacheBuilder::rebuild()
	 */
	protected function rebuild(array $parameters) {
		$entryList = new DidYouKnowEntryList();
		$entryList->getConditionBuilder()->add("isDisabled = 0");
		$entryList->sqlLimit = 0;
		$entryList->readObjects();
		
		return $entryList->getObjects();
	}
}